	SUBROUTINE LONGER(INTMSG)
C
C	Output some of the longer messages
C
	INCLUDE 'LEDFOR.COM/-LI'
	INCLUDE 'PLAYER.COM/-LI'
	INCLUDE 'BUFFER.COM/-LI'
	BYTE VALID,BANG(12),EOL(2)
	DATA EOL/"15,"12/
	DATA BANG/12*"12/

	IF((INTMSG.LE.0).OR.(INTMSG.GT.32))GOTO 10005
	IF(INTMSG.EQ.3)GOTO 11003
	CALL WRITE(24,1,0)
	CALL FILL(7,1)
	IF(INTMSG.EQ.15)GOTO 11015
	IF(INTMSG.EQ.16)GOTO 11016
	IF(INTMSG.EQ.30)GOTO 11030
C
C	Bad message number
C
10005	CALL WRITE(24,21,0)
	CALL FILL(7,1)
	ENCODE(20,10010,IBUF)INTMSG
10010	FORMAT('Message number',I5,'.')
	CALL FILL(IBUF,20)
	GOTO 10000
C
C	Message 3: BOOM
C
11003	DO 12003 I=1,3
	CALL CLEAR
	CALL FILL(BANG,12)
	CALL FILL('                         *** BOOM ***')
	CALL FLUSH
12003	CONTINUE
	CALL WRITE(16,10,'You have been destroyed.')
	CALL WRITE(18,10,'Fortunately you escaped with your life.')
	CALL WRITE(19,10,'Unfortunately, you have been given a new command.')
	CALL WRITE(21,10,'Are you ready to accept this assignment ? ')
	CALL FLUSH
	CALL YESNO(OK,VALID)
	CALL FILL(EOL,2)
	CALL FILL(EOL,2)
	IF(.NOT.OK)GOTO 14003
	CALL FILL('         Good!')
	GOTO 17003
14003	CALL FILL('         Tough luck, but you get it anyway.')
17003	CALL FLUSH
	CALL MARK(24,60,1)
	CALL WFLOR(24,25)
	ALIVE(WHO)=.TRUE.
	CLOAK(WHO)=.FALSE.
	RESET=.TRUE.
	GOTO 10000
C
C	Message 15: Snagged by the black hole
C
11015	CALL FILL('Spock here Captain.')
	CALL FILL(EOL,2)
	CALL FILL('We are being drawn into some sort of black hole,')
	CALL FILL(EOL,2)
	CALL FILL('it is unlike anything I have ever encountered.')
	CALL FILL(EOL,2)
	CALL FILL('Fascinating.')
	GOTO 10001
C
C	Message 16: Lack of ship energy
C
11016	CALL FILL('Scott here captain.')
	CALL FILL(EOL,2)
	CALL FILL('Our dylithium crystals are gone. Life support is')
	CALL FILL(EOL,2)
	CALL FILL('failing ...!')
	GOTO 10001
C
C	Message 30: Vaporized by anti-matter
C
11030	CALL FILL('We are caught in an anti-matter explosion!')
10001	CALL FILL(EOL,2)
	CALL FLUSH
	CALL MARK(24,120,1)
	CALL WFLOR(24,25)
10000	RETURN
	END
